%define pypi_name requests-file

Name:           python-%{pypi_name}
Version:        2.0.0
Release:        %mkrel 2
Summary:        File transport adapter for Requests
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/requests-file/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Requests-File is a transport adapter for use with the Requests Python library
to allow local filesystem access via file:// URLs.

%package -n     python3-%{pypi_name}
Summary:        File transport adapter for Requests
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
Requests-File is a transport adapter for use with the Requests Python library
to allow local filesystem access via file:// URLs.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files requests_file

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Sun Mar 02 2025 wally <wally> 2.0.0-2.mga10
+ Revision: 2158708
- rebuild for python3.13

* Tue Feb 06 2024 papoteur <papoteur> 2.0.0-1.mga10
+ Revision: 2037441
- new version 2.0.0

* Wed Mar 23 2022 umeabot <umeabot> 1.5.1-4.mga9
+ Revision: 1823348
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 1.5.1-3.mga9
+ Revision: 1783016
- rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 1.5.1-2.mga9
+ Revision: 1706037
- rebuild for python 3.9

* Sat Dec 19 2020 guillomovitch <guillomovitch> 1.5.1-1.mga8
+ Revision: 1661307
- new version 1.5.1

* Thu Jul 23 2020 ovitters <ovitters> 1.4.3-4.mga8
+ Revision: 1608306
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 1.4.3-3.mga8
+ Revision: 1533246
- Mageia 8 Mass Rebuild

* Thu Sep 19 2019 guillomovitch <guillomovitch> 1.4.3-2.mga8
+ Revision: 1443783
- rebuild for python 3.8
- drop python2 support

* Mon Jul 01 2019 guillomovitch <guillomovitch> 1.4.3-1.mga8
+ Revision: 1417022
- imported package python-requests-file

